<?php
    include "conexion.php";

    // Obtener los IDs de los tweets seleccionados
    $tweetIdsString = $_POST['tweet_ids'];
    $tweetIds = json_decode($tweetIdsString);

    // Realizar la eliminación de los tweets en la base de datos
   $conn = conectar(); // conectar a la base de datos

    if (mysqli_connect_errno()) {
    echo "Error en la conexión: " . mysqli_connect_error();
    }


    foreach ($tweetIds as $id) {
    $id_int = intval($id);
    $stmt = $conn->prepare("DELETE FROM tweets WHERE tweet_id = ?");

    if (!$stmt) {
    echo "Error en la consulta preparada: " . $conn->error;
    }

    $stmt->bind_param("i", $id);

    if (!$stmt->execute()) {
    echo "Error en la ejecución de la consulta: " . $stmt->error;
    }

    $stmt->bind_param("i", $id_int);
    $stmt->execute();
    
    if ($stmt->affected_rows > 0) {
        echo "Tweets eliminados correctamente";
    } else {
        echo "No se pudo eliminar el tweet con ID " . $id;
    }
    }

    // Cerrar conexión a la base de datos
    $conn->close();
?>

